--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches <tt>Hash</tt> containing <tt>key</tt>.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:method_1).with(has_key('key_1'))\n  object.method_1('key_1' =&gt; 1, 'key_2' =&gt; 2)\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(has_key('key_1'))\n  object.method_1('key_2' =&gt; 2)\n  # error raised, because method_1 was not called with Hash containing key: 'key_1'\n"
full_name: Mocha::ParameterMatchers#has_key
is_singleton: false
name: has_key
params: " has_key(key) -> parameter_matcher\n"
visibility: public
